<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/List.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::List</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class List

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Node.hh.html" target="detail">../Synopsis/PTree/Node.hh</a></div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mList" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line114" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="List-inheritance" src="List-inheritance.png" hspace="8" vspace="8" border="0" usemap="#List-inheritance_map" />
<map name="List-inheritance_map"><area alt="Scopes/Synopsis/PTree/ParameterDeclaration.html" href="ParameterDeclaration.html" shape="rect" coords="5, 156, 251, 180" />
<area alt="Scopes/Synopsis/PTree/LinkageSpec.html" href="LinkageSpec.html" shape="rect" coords="275, 156, 469, 180" />
<area alt="Scopes/Synopsis/PTree/Declarator.html" href="Declarator.html" shape="rect" coords="493, 156, 675, 180" />
<area alt="Scopes/Synopsis/PTree/Iterator.html" href="Iterator.html" shape="rect" coords="699, 156, 864, 180" />
<area alt="Scopes/Synopsis/PTree/Expression.html" href="Expression.html" shape="rect" coords="888, 156, 1072, 180" />
<area alt="Scopes/Synopsis/PTree/Array.html" href="Array.html" shape="rect" coords="1096, 156, 1251, 180" />
<area alt="Scopes/Synopsis/PTree/TemplateInstantiation.html" href="TemplateInstantiation.html" shape="rect" coords="1275, 156, 1517, 180" />
<area alt="Scopes/Synopsis/PTree/ExternTemplate.html" href="ExternTemplate.html" shape="rect" coords="1541, 156, 1755, 180" />
<area alt="Scopes/Synopsis/PTree/EnumSpec.html" href="EnumSpec.html" shape="rect" coords="1779, 156, 1963, 180" />
<area alt="Scopes/Synopsis/PTree/NamespaceSpec.html" href="NamespaceSpec.html" shape="rect" coords="1987, 156, 2203, 180" />
<area alt="Scopes/Synopsis/PTree/Declaration.html" href="Declaration.html" shape="rect" coords="2227, 156, 2413, 180" />
<area alt="Scopes/Synopsis/PTree/UserAccessSpec.html" href="UserAccessSpec.html" shape="rect" coords="2437, 156, 2653, 180" />
<area alt="Scopes/Synopsis/PTree/TypeParameter.html" href="TypeParameter.html" shape="rect" coords="2677, 156, 2888, 180" />
<area alt="Scopes/Synopsis/PTree/FstyleCastExpr.html" href="FstyleCastExpr.html" shape="rect" coords="2912, 156, 3120, 180" />
<area alt="Scopes/Synopsis/PTree/ClassSpec.html" href="ClassSpec.html" shape="rect" coords="3144, 156, 3323, 180" />
<area alt="Scopes/Synopsis/PTree/Name.html" href="Name.html" shape="rect" coords="3347, 156, 3501, 180" />
<area alt="Scopes/Synopsis/PTree/AccessSpec.html" href="AccessSpec.html" shape="rect" coords="3525, 156, 3715, 180" />
<area alt="Scopes/Synopsis/PTree/Brace.html" href="Brace.html" shape="rect" coords="3739, 156, 3893, 180" />
<area alt="Scopes/Synopsis/SymbolLookup/Undefined.html" href="../SymbolLookup/Undefined.html" shape="rect" coords="3917, 156, 4149, 180" />
<area alt="Scopes/Synopsis/PTree/MetaclassDecl.html" href="MetaclassDecl.html" shape="rect" coords="4173, 156, 4376, 180" />
<area alt="Scopes/Synopsis/PTree/TemplateDecl.html" href="TemplateDecl.html" shape="rect" coords="4400, 156, 4600, 180" />
<area alt="Scopes/Synopsis/PTree/AccessDecl.html" href="AccessDecl.html" shape="rect" coords="4624, 156, 4811, 180" />
<area alt="Scopes/Synopsis/PTree/UserdefKeyword.html" href="UserdefKeyword.html" shape="rect" coords="4835, 156, 5056, 180" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="2469, 7, 2621, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="List_lNode_S_cNode_S_r">List</a>(<a href="Node.html" >Node</a>* <span class="variable">p</span>, <a href="Node.html" >Node</a>* <span class="variable">q</span>)  </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mList_mList_lNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line117" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_atom_l_rconst">is_atom</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mList_mis_atom_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line118" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mList_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line119" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
